## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanCompiledStylesheetDefault Class Reference

`#include <XalanCompiledStylesheetDefault.hpp>`

Inheritance diagram for XalanCompiledStylesheetDefault

Collaboration diagram for XalanCompiledStylesheetDefault:

List of all members.

## Public Methods

- XalanCompiledStylesheetDefault ( const XSLTInputSource& theStylesheetSource, XSLTEngineImpl& theProcessor, ErrorHandlerType* theErrorHandler = 0, EntityResolverType* theEntityResolver = 0)
- virtual ~XalanCompiledStylesheetDefault ()
- virtual const StylesheetRoot* getStylesheetRoot () const

## Constructor & Destructor Documentation

XalanCompiledStylesheetDefault::XalanCompiledStylesheetDefault ( | const XSLTInputSource & theStylesheetSource,
| XSLTEngineImpl & theProcessor,
| ErrorHandlerType * theErrorHandler = 0,
| EntityResolverType * theEntityResolver = 0 )

virtual XalanCompiledStylesheetDefault::~XalanCompiledStylesheetDefault ( | )`[virtual]`

## Member Function Documentation

virtual const StylesheetRoot* XalanCompiledStylesheetDefault::getStylesheetRoot ( | ) const`[virtual]`

Reimplemented from XalanCompiledStylesheet.

The documentation for this class was generated from the following file:

- XalanCompiledStylesheetDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.